VisualEditor: Switch to wikitext feature does not return in Firefox
Closed, ResolvedPublic

Description

There are 2 users at least (Fram and myself)
reporting that the new option does not seem to work when using FF (in our case, version 25).
I tried to VEdit my sandboxes in several languages.
You can use https://it.wikipedia.org/wiki/Utente:Elitre/Sandbox?veaction=edit if you need to.
After you click on the Switch button, and click OK on the warning message, the surfaces is "grayed out", and just stays that way without actually switching.
Please notice you can still VEdit at this time, and even save.
The chosen skin instead does not seem to matter (it didn't work for me with any of them).

In Fram's words:
<< I get the "you are about to change" message, but then the VE page gets "bleached" out, as if an opaque glass is put in front of it, and nothing further happens. I can still use the toolbox at this time, and can edit the article in VE, but it doesn't have the normal look.>>


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=56835

Elitre created this task.Via LegacyNov 8 2013, 11:20 AM
Elitre added a comment.Via ConduitNov 8 2013, 12:06 PM

FYI, I tried to VEdit a few sandboxes while unlogged with Opera.
After switching to wikitext, when I try to save changes I always get an "edit conflict" notice. It will save if I re-add my text, but clearly this is not optimal :)

Jdforrester-WMF added a comment.Via ConduitNov 8 2013, 10:01 PM

Dropping the Opera issue, as that appears unrelated. Open as a different bug?

Elitre added a comment.Via ConduitNov 9 2013, 10:10 AM

(Your wish is my command.
See 56835 now, turns out it had nothing to do with Opera after all.)

gerritbot added a comment.Via ConduitNov 9 2013, 12:45 PM

Change 94498 had a related patch set uploaded by Esanders:
Fix edit source switch in Firefox

https://gerrit.wikimedia.org/r/94498

gerritbot added a comment.Via ConduitNov 10 2013, 1:42 AM

Change 94498 merged by jenkins-bot:
Fix edit source switch in Firefox

https://gerrit.wikimedia.org/r/94498

gerritbot added a comment.Via ConduitNov 10 2013, 7:37 AM

Change 94594 had a related patch set uploaded by Jforrester:
Fix edit source switch in Firefox

https://gerrit.wikimedia.org/r/94594

gerritbot added a comment.Via ConduitNov 10 2013, 7:37 AM

Change 94595 had a related patch set uploaded by Jforrester:
Fix edit source switch in Firefox

https://gerrit.wikimedia.org/r/94595

gerritbot added a comment.Via ConduitNov 19 2013, 12:33 PM

Change 94594 abandoned by Jforrester:
Fix edit source switch in Firefox

Reason:
Not done.

https://gerrit.wikimedia.org/r/94594

gerritbot added a comment.Via ConduitNov 19 2013, 12:33 PM

Change 94595 abandoned by Jforrester:
Fix edit source switch in Firefox

Reason:
Not done.

https://gerrit.wikimedia.org/r/94595

Add Comment